
Redmine - Patch #25526

Revert API change in spent_hours field in issue#show

2017-04-05 15:29 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.2.6   

Description

When preloading the spent_hours of issues (as e.g. done for #20661, they default to 0 instead of the previous default 0.0. This

results in a change of the issue#show API which now also returns an Integer instead of a Float. Previously (in Redmine 3.2), the API

used to return the data the following way:

{

  "issue": {

    "id": 15,

    ...

    "spent_hours": 0.0,

    ...

  }

}

 While later versions (including the current trunk) return them as follows:

{

  "issue": {

    "id": 15,

    ...

    "spent_hours": 0,

    ...

  }

}

 This appears to break strict API clients which expect a float there. In our tests, this change appears to break the current Android

version of RedminePM, probably due to some internal type exceptions. The attached patch was extracted from Planio and fixes this

behavior. With it, we follow the previous behavior of always sending Floats.

Related issues:

Related to Redmine - Patch #20661: Show visible spent time link for users all... Closed

Associated revisions

Revision 16491 - 2017-04-05 18:09 - Jean-Philippe Lang

Always set spent_hours instance variables to a Float in Issue instances (#25526).

Patch by Holger Just.

Revision 16492 - 2017-04-05 18:10 - Jean-Philippe Lang

Adds a test for #25526.

Revision 16493 - 2017-04-05 18:11 - Jean-Philippe Lang

Merged r16491 (#25526).

Revision 16494 - 2017-04-05 18:12 - Jean-Philippe Lang

Merged r16491 (#25526).

Revision 16495 - 2017-04-05 18:12 - Jean-Philippe Lang

Merged r16492 (#25526).
https://www.redmine.org/issues/20661
https://plan.io/redmine-hosting


Revision 16496 - 2017-04-05 18:12 - Jean-Philippe Lang

Merged r16492 (#25526).

Revision 16510 - 2017-04-06 20:07 - Jean-Philippe Lang

total_spent_hours not returned in 3.2 (#25526).

History

#1 - 2017-04-05 18:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed with an API test, thanks.

#2 - 2017-04-05 18:10 - Jean-Philippe Lang

- Related to Patch #20661: Show visible spent time link for users allowed to view time entries. added

#3 - 2017-04-06 01:46 - Go MAEDA

- Target version set to 3.2.6

#4 - 2017-05-05 06:37 - Toshi MARUYAMA

- Description updated

Files
